Composite Chart
POST
/api/calc/composite
Calculate a composite chart by combining midpoints of two birth charts.
Authorizations
ApiKeyAuth
API key for authentication. Get your API key from the dashboard.
Type
API Key (header: X-Api-Key)
Request Body
application/json
JSON "dateTime1": "string", "location1": { "longitude": 0, "latitude": 0, "timezone": "string" }, "dateTime2": "string", "location2": { "longitude": 0, "latitude": 0, "timezone": "string" }, "houseSystem": "placidus", "language": "en", "includeText": false, "includeReadableEntities": false, "points": [ "string" ], "orbs": { "additionalProperties": 0 }
{
}
Responses
Calculate composite chart
application/vnd.api+json
JSON "data": { "points": { "additionalProperties": { "pointId": "string", "longitude": 0, "speedLongitude": 0, "speedLatitude": 0, "speedDistance": 0, "retrograde": true, "houseId": "string", "houseNumber": 0, "degreesInSign": 0, "degreesInSignDms": [ 0 ], "sign": "string" } }, "aspects": [ { "pointA": "string", "pointB": "string", "aspect": "string", "angle": 0, "orb": 0, "applying": true, "text": "string" } ], "charts": { "additionalProperties": { "title": "string", "description": "string", "url": "string" } } }
{
}